using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Drawing;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Syncfusion.Windows.Forms.Chart;
using Syncfusion.Web.UI.WebControls.Chart;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        InitializeChartData();
        //Position of the Legend
        this.ChartWebControl1.LegendPosition = ChartDock.Top;
    }

    private void InitializeChartData()
    {
        //Series1
        ChartSeries s1 = this.ChartWebControl1.Model.NewSeries("Cumulative Inhalation Exposure");
        //Points for the Series
        s1.Points.Add(0, 0);
        s1.Points.Add(105, 1);
        s1.Points.Add(125, 2);
        s1.Points.Add(250, 4);
        s1.Points.Add(500, 4);
        s1.Points.Add(750, 4);
        s1.Points.Add(1000, 4);
        s1.Text = s1.Name;
        //Type of Series
        s1.Type = ChartSeriesType.Spline;
        //Color of Series
        s1.Style.Interior = new Syncfusion.Drawing.BrushInfo(Color.Violet);

        //Series2
        ChartSeries s2 = this.ChartWebControl1.Model.NewSeries("Inhalation Exposure");
        //Points for the Series
        s2.Points.Add(0, 0);
        s2.Points.Add(0, 0.12);
        s2.Points.Add(20, 0.25);
        s2.Points.Add(25, 0.40);
        s2.Points.Add(30, 0.50);
        s2.Points.Add(40, 0.65);
        s2.Points.Add(50, 0.75);
        s2.Points.Add(60, 0.80);
        s2.Points.Add(65, 0.75);
        s2.Points.Add(75, 0.65);
        s2.Points.Add(80, 0.50);
        s2.Points.Add(85, 0.40);
        s2.Points.Add(95, 0.25);
        s2.Points.Add(110, 0.20);
        s2.Points.Add(130, 0.15);
        s2.Points.Add(150, 0.12);
        s2.Points.Add(170, 0.10);
        s2.Points.Add(180, 0.09);
        s2.Points.Add(200, 0.06);
        s2.Points.Add(220, 0.04);
        s2.Points.Add(250, 0.02);
        s2.Points.Add(270, 0);
        s2.Points.Add(290, 0);
        s2.Points.Add(310, 0);
        s2.Text = s2.Name;
        //Type of Series
        s2.Type = ChartSeriesType.Spline;
        //Color of Series
        s2.Style.Interior = new Syncfusion.Drawing.BrushInfo(Color.Chocolate);

        //Series3
        ChartSeries s3 = this.ChartWebControl1.Model.NewSeries("Concentration Zone 1");
        //Points for the Series
        s3.Points.Add(0, 0);
        s3.Points.Add(0, 0.20);
        s3.Points.Add(0, 0.40);
        s3.Points.Add(0, 0.60);
        s3.Points.Add(25, 0.80);
        s3.Points.Add(30, 1.0);
        s3.Points.Add(35, 1.20);
        s3.Points.Add(40, 1.60);
        s3.Points.Add(45, 1.80);
        s3.Points.Add(50, 2.00);
        s3.Points.Add(60, 2.40);
        s3.Points.Add(70, 3.00);
        s3.Points.Add(80, 2.80);
        s3.Points.Add(85, 2.60);
        s3.Points.Add(90, 2.40);
        s3.Points.Add(100, 2.00);
        s3.Points.Add(110, 1.80);
        s3.Points.Add(120, 1.60);
        s3.Points.Add(130, 1.40);
        s3.Points.Add(140, 1.20);
        s3.Points.Add(150, 1.00);
        s3.Points.Add(170, 0.80);
        s3.Points.Add(190, 0.60);
        s3.Points.Add(220, 0.40);
        s3.Points.Add(250, 0.20);
        s3.Points.Add(280, 0.10);
        s3.Points.Add(300, 0);
        s3.Points.Add(320, 0);
        s3.Points.Add(340, 0);
        s3.Points.Add(360, 0);
        s3.Text = s3.Name;
        //Type of Series
        s3.Type = ChartSeriesType.Spline;
        //Color of Series
        s3.Style.Interior = new Syncfusion.Drawing.BrushInfo(Color.Green);


        //Series4
        ChartSeries s4 = this.ChartWebControl1.Model.NewSeries("Concentration Zone 2");
        //Points for the Series
        s4.Points.Add(0, 0);
        s4.Points.Add(50, 0.80);
        s4.Points.Add(100, 0.60);
        s4.Points.Add(150, 0.40);
        s4.Points.Add(200, 0.20);
        s4.Points.Add(250, 0.18);
        s4.Points.Add(300, 0.16);
        s4.Points.Add(350, 0.12);
        s4.Points.Add(400, 0.08);
        s4.Points.Add(450, 0.03);
        s4.Points.Add(500, 0);
        s4.Text = s4.Name;
        //Type of Series
        s4.Type = ChartSeriesType.Spline;
        //Color of Series
        s4.Style.Interior = new Syncfusion.Drawing.BrushInfo(Color.Blue);


        //addition of series created to the ChartSeriesCollection of ChartWebControl
        this.ChartWebControl1.Series.Add(s1);
        this.ChartWebControl1.Series.Add(s2);
        this.ChartWebControl1.Series.Add(s3);
        this.ChartWebControl1.Series.Add(s4);

        //Representation Type of Legend
        this.ChartWebControl1.Legend.RepresentationType = ChartLegendRepresentationType.Rectangle;

        //ChartAxisRangeType.Set->Allows user to set the PrimaryXaxis values
        this.ChartWebControl1.PrimaryXAxis.RangeType = ChartAxisRangeType.Set;
        //Range of PrimaryXAxis
        this.ChartWebControl1.PrimaryXAxis.Range = new MinMaxInfo(0, 1500, 250);
        //ChartAxisRangeType.Set->Allows user to set the PrimaryYaxis values
        this.ChartWebControl1.PrimaryYAxis.RangeType = ChartAxisRangeType.Set;
        //Range of PrimaryYAxis
        this.ChartWebControl1.PrimaryYAxis.Range = new MinMaxInfo(0, 5, 0.5);

        //Title to be displayed along PrimaryXAxis
        this.ChartWebControl1.PrimaryXAxis.Title = "Time(Min)[e-42]";
        //Title to be displayed along PrimaryYAxis
        this.ChartWebControl1.PrimaryYAxis.Title = "mg";

        //Color of the Title and Values along PrimaryXAxis
        this.ChartWebControl1.PrimaryXAxis.ForeColor = Color.DarkSlateBlue;
        //Color of the Title and Values along PrimaryYAxis
        this.ChartWebControl1.PrimaryYAxis.ForeColor = Color.DarkSlateBlue;
    }
}
